%define debug_package %{nil}
%global commitid 33c754e5ca9c20f6c685627590ea9e85ce60faa7

Name:    rhc-catalog-worker
Version: 0.1.6
Release: 2%{?dist}
Summary: Catalog Worker for RHC Daemon links Automation Controller to cloud.redhat.com
License: ASL 2.0
URL:     https://github.com/RedHatInsights/rhc-catalog-worker

Source0: rhc-catalog-worker-33c754e5ca9c20f6c685627590ea9e85ce60faa7.tar.gz

ExclusiveArch: %{go_arches}

BuildRequires: golang
Requires: rhc

%description
%{name} runs as a worker under rhcd, waits for requests from cloud.redhat.com
and makes REST API calls to Automation Controller.

%prep
%autosetup -n rhc-catalog-worker-%{commitid}

%build
make VERSION=%{version} SHA=%{commitid}

%install
mkdir -p %{buildroot}/usr/libexec/rhc
%{__install} -m 755 %{_builddir}/%{name}-%{commitid}/%{name} %{buildroot}/usr/libexec/rhc

%files
%{_libexecdir}/rhc/%{name}

%changelog
* Tue Jun 29 2021 Satoe Imaishi <simaishi@redhat.com> - 0.1.6-2
- rhc-catalog-worker 0.1.6 build
